Skip to main content

Create Service Request: MRI

POSThttps://api.propexo.com/v1/service-requests/mri/

Create a service request in MRI. This will create a residential service request in MRI.

Method
/mriapiservices/api.asp?$api=MRI_S-PMRM_CreateResidentialServiceRequestsX5
Notice

This write operation will set the created_record_id flag on the write-status endpoint and allow for new record to be read back in immediately.

Authentication​

  • AuthorizationBearer
    Bearer authentication of the form Bearer <token>, where token is your auth token.

Request​

This endpoint expects an object.

    integration_idstringrequired

    The Propexo unique identifier for the integration

    resident_idstringrequired

    The Propexo unique identifier for the resident

    service_descriptionstringrequired

    A description of the service request

    service_detailsstringrequired

    Details about the service request

    date_createdstringrequired

    The date the service request was created

    Show 2 variants
    • string<date-time>
    • stringPattern: ^\d{4}-\d{2}-\d{2}$
    status_rawstringrequired

    The status associated with the service request

    Show 13 enum values
    ACCEPTEDARRIVEDDEPARTEDIN_PROCESSNO_ACTIONOUTSIDE_CONTRACTOR_CALLEDPARTS_ON_ORDERPENDING_BOARD_APPROVALREJECTEDREPAIRED_TEMPORARILYSUSPENDEDWORK_COMPLETEDWORK_SCHEDULED
    access_is_authorizedbooleanrequired

    Whether or not the tenant has granted permission to enter the unit associated with the service request

    service_prioritystring

    The priority level associated with the service request

    Show 3 enum values
    HIGHMEDIUMLOW
    has_petsboolean

    Whether there are pets associated with the unit

    has_alarmboolean

    Whether there is an alarm associated with the unit

    completion_notesstring

    Closing notes associated with the service request

    date_enteredstring

    The date of entry for the service request

    Show 2 variants
    • string<date-time>
    • stringPattern: ^\d{4}-\d{2}-\d{2}$
    date_scheduledstring

    The date the service request is scheduled

    Show 2 variants
    • string<date-time>
    • stringPattern: ^\d{4}-\d{2}-\d{2}$

Response​

Successful response

    meta objectrequired
    job_idstringrequired
    result objectrequired
    integration_idstringrequired

    The Propexo unique identifier for the integration

    resident_idstringrequired

    The Propexo unique identifier for the resident

    service_descriptionstringrequired

    A description of the service request

    service_detailsstringrequired

    Details about the service request

    date_createdstring | nullnullablerequired
    Show 2 variants
    • string<date-time>
    • stringPattern: ^\d{4}-\d{2}-\d{2}$
    status_rawstringrequired

    The status associated with the service request

    Show 13 enum values
    ACCEPTEDARRIVEDDEPARTEDIN_PROCESSNO_ACTIONOUTSIDE_CONTRACTOR_CALLEDPARTS_ON_ORDERPENDING_BOARD_APPROVALREJECTEDREPAIRED_TEMPORARILYSUSPENDEDWORK_COMPLETEDWORK_SCHEDULED
    access_is_authorizedbooleanrequired

    Whether or not the tenant has granted permission to enter the unit associated with the service request

    service_prioritystring | nullnullablerequired

    The priority level associated with the service request

    Show 3 enum values
    HIGHMEDIUMLOW
    has_petsboolean | nullnullablerequired

    Whether there are pets associated with the unit

    has_alarmboolean | nullnullablerequired

    Whether there is an alarm associated with the unit

    completion_notesstring | nullnullablerequired

    Closing notes associated with the service request

    date_enteredstring | nullnullablerequired

    The date of entry for the service request

    Show 2 variants
    • string<date-time>
    • stringPattern: ^\d{4}-\d{2}-\d{2}$
    date_scheduledstring | nullnullablerequired

    The date the service request is scheduled

    Show 2 variants
    • string<date-time>
    • stringPattern: ^\d{4}-\d{2}-\d{2}$

Errors​

  • 400Bad Request
      error objectrequired
      codestringrequired
      Example: invalid_request
      messagestringrequired
      Example: invalid request
      details object
      property name*any
      Example: {"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
POST /v1/service-requests/mri/
curl -X POST https://api.propexo.com/v1/service-requests/mri/ \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{
"integration_id": "string",
"resident_id": "string",
"service_description": "string",
"service_details": "string",
"date_created": "2024-07-29T15:51:28.071Z",
"status_raw": "ACCEPTED",
"access_is_authorized": true
}'
200 Successful response
{
"meta": {
"job_id": "string"
},
"result": {
"integration_id": "string",
"resident_id": "string",
"service_description": "string",
"service_details": "string",
"date_created": "2024-07-29T15:51:28.071Z",
"status_raw": "ACCEPTED",
"access_is_authorized": true,
"service_priority": "HIGH",
"has_pets": true,
"has_alarm": true,
"completion_notes": "string",
"date_entered": "2024-07-29T15:51:28.071Z",
"date_scheduled": "2024-07-29T15:51:28.071Z"
}
}